org.encog.neural.networks.training.cross

## Class CrossTraining

- java.lang.Object
- - org.encog.ml.train.BasicTraining
  - - org.encog.neural.networks.training.cross.CrossTraining

- All Implemented Interfaces:
    MLTrain
  Direct Known Subclasses:
    CrossValidationKFold

      public abstract class CrossTraining
      extends BasicTraining

  Base class for cross training trainers. Must use a folded dataset.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrossTraining(MLMethod network, FoldedDataSet training)` Construct a cross trainer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FoldedDataSet` | `getFolded()`
    `MLMethod` | `getMethod()` Get the current best machine learning method from the training.

    - ### Methods inherited from class org.encog.ml.train.BasicTraining

      `addStrategy, finishTraining, getError, getImplementationType, getIteration, getStrategies, getTraining, isTrainingDone, iteration, postIteration, preIteration, setError, setIteration, setTraining`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.encog.ml.train.MLTrain

      `canContinue, iteration, pause, resume`

- - ### Constructor Detail

    - #### CrossTraining

          public CrossTraining(MLMethod network,
                       FoldedDataSet training)

      Construct a cross trainer.
      Parameters:
        `network` - The network.
        `training` - The training data.

  - ### Method Detail

    - #### getFolded

          public FoldedDataSet getFolded()

      Returns:
        The folded training data.

    - #### getMethod

          public MLMethod getMethod()

      Get the current best machine learning method from the training.
      Returns:
        The best machine learningm method.

Copyright © 2014. All Rights Reserved.